Home | History | Annotate | Download | only in testzzuf
      1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
      2 # @configure_input@
      3 
      4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
      5 
      6 # This Makefile.in is free software; the Free Software Foundation
      7 # gives unlimited permission to copy and/or distribute it,
      8 # with or without modifications, as long as this notice is preserved.
      9 
     10 # This program is distributed in the hope that it will be useful,
     11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
     12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
     13 # PARTICULAR PURPOSE.
     14 
     15 @SET_MAKE@
     16 VPATH = @srcdir@
     17 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
     18 am__make_running_with_option = \
     19   case $${target_option-} in \
     20       ?) ;; \
     21       *) echo "am__make_running_with_option: internal error: invalid" \
     22               "target option '$${target_option-}' specified" >&2; \
     23          exit 1;; \
     24   esac; \
     25   has_opt=no; \
     26   sane_makeflags=$$MAKEFLAGS; \
     27   if $(am__is_gnu_make); then \
     28     sane_makeflags=$$MFLAGS; \
     29   else \
     30     case $$MAKEFLAGS in \
     31       *\\[\ \	]*) \
     32         bs=\\; \
     33         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
     34           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
     35     esac; \
     36   fi; \
     37   skip_next=no; \
     38   strip_trailopt () \
     39   { \
     40     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
     41   }; \
     42   for flg in $$sane_makeflags; do \
     43     test $$skip_next = yes && { skip_next=no; continue; }; \
     44     case $$flg in \
     45       *=*|--*) continue;; \
     46         -*I) strip_trailopt 'I'; skip_next=yes;; \
     47       -*I?*) strip_trailopt 'I';; \
     48         -*O) strip_trailopt 'O'; skip_next=yes;; \
     49       -*O?*) strip_trailopt 'O';; \
     50         -*l) strip_trailopt 'l'; skip_next=yes;; \
     51       -*l?*) strip_trailopt 'l';; \
     52       -[dEDm]) skip_next=yes;; \
     53       -[JT]) skip_next=yes;; \
     54     esac; \
     55     case $$flg in \
     56       *$$target_option*) has_opt=yes; break;; \
     57     esac; \
     58   done; \
     59   test $$has_opt = yes
     60 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
     61 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
     62 pkgdatadir = $(datadir)/@PACKAGE@
     63 pkgincludedir = $(includedir)/@PACKAGE@
     64 pkglibdir = $(libdir)/@PACKAGE@
     65 pkglibexecdir = $(libexecdir)/@PACKAGE@
     66 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
     67 install_sh_DATA = $(install_sh) -c -m 644
     68 install_sh_PROGRAM = $(install_sh) -c
     69 install_sh_SCRIPT = $(install_sh) -c
     70 INSTALL_HEADER = $(INSTALL_DATA)
     71 transform = $(program_transform_name)
     72 NORMAL_INSTALL = :
     73 PRE_INSTALL = :
     74 POST_INSTALL = :
     75 NORMAL_UNINSTALL = :
     76 PRE_UNINSTALL = :
     77 POST_UNINSTALL = :
     78 build_triplet = @build@
     79 host_triplet = @host@
     80 check_PROGRAMS = test_get$(EXEEXT) test_get_chunked$(EXEEXT) \
     81 	test_post$(EXEEXT) test_post_form$(EXEEXT) test_put$(EXEEXT) \
     82 	test_put_chunked$(EXEEXT) test_put_large$(EXEEXT) \
     83 	test_get11$(EXEEXT) test_post11$(EXEEXT) \
     84 	test_post_form11$(EXEEXT) test_put11$(EXEEXT) \
     85 	test_put_large11$(EXEEXT) test_long_header$(EXEEXT)
     86 subdir = src/testzzuf
     87 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
     88 	$(top_srcdir)/depcomp $(top_srcdir)/test-driver README
     89 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
     90 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_append_compile_flags.m4 \
     91 	$(top_srcdir)/m4/ax_append_flag.m4 \
     92 	$(top_srcdir)/m4/ax_check_compile_flag.m4 \
     93 	$(top_srcdir)/m4/ax_check_link_flag.m4 \
     94 	$(top_srcdir)/m4/ax_check_openssl.m4 \
     95 	$(top_srcdir)/m4/ax_count_cpus.m4 \
     96 	$(top_srcdir)/m4/ax_have_epoll.m4 \
     97 	$(top_srcdir)/m4/ax_pthread.m4 \
     98 	$(top_srcdir)/m4/ax_require_defined.m4 \
     99 	$(top_srcdir)/m4/libcurl.m4 $(top_srcdir)/m4/libgcrypt.m4 \
    100 	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
    101 	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
    102 	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/acinclude.m4 \
    103 	$(top_srcdir)/configure.ac
    104 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
    105 	$(ACLOCAL_M4)
    106 mkinstalldirs = $(install_sh) -d
    107 CONFIG_HEADER = $(top_builddir)/MHD_config.h
    108 CONFIG_CLEAN_FILES =
    109 CONFIG_CLEAN_VPATH_FILES =
    110 am_test_get_OBJECTS = test_get.$(OBJEXT)
    111 test_get_OBJECTS = $(am_test_get_OBJECTS)
    112 test_get_DEPENDENCIES =  \
    113 	$(top_builddir)/src/microhttpd/libmicrohttpd.la
    114 AM_V_lt = $(am__v_lt_@AM_V@)
    115 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
    116 am__v_lt_0 = --silent
    117 am__v_lt_1 = 
    118 am_test_get11_OBJECTS = test_get.$(OBJEXT)
    119 test_get11_OBJECTS = $(am_test_get11_OBJECTS)
    120 test_get11_DEPENDENCIES =  \
    121 	$(top_builddir)/src/microhttpd/libmicrohttpd.la
    122 am_test_get_chunked_OBJECTS = test_get_chunked.$(OBJEXT)
    123 test_get_chunked_OBJECTS = $(am_test_get_chunked_OBJECTS)
    124 test_get_chunked_DEPENDENCIES =  \
    125 	$(top_builddir)/src/microhttpd/libmicrohttpd.la
    126 am_test_long_header_OBJECTS = test_long_header.$(OBJEXT)
    127 test_long_header_OBJECTS = $(am_test_long_header_OBJECTS)
    128 test_long_header_DEPENDENCIES =  \
    129 	$(top_builddir)/src/microhttpd/libmicrohttpd.la
    130 am_test_post_OBJECTS = test_post.$(OBJEXT)
    131 test_post_OBJECTS = $(am_test_post_OBJECTS)
    132 test_post_DEPENDENCIES =  \
    133 	$(top_builddir)/src/microhttpd/libmicrohttpd.la
    134 am_test_post11_OBJECTS = test_post.$(OBJEXT)
    135 test_post11_OBJECTS = $(am_test_post11_OBJECTS)
    136 test_post11_DEPENDENCIES =  \
    137 	$(top_builddir)/src/microhttpd/libmicrohttpd.la
    138 am_test_post_form_OBJECTS = test_post_form.$(OBJEXT)
    139 test_post_form_OBJECTS = $(am_test_post_form_OBJECTS)
    140 test_post_form_DEPENDENCIES =  \
    141 	$(top_builddir)/src/microhttpd/libmicrohttpd.la
    142 am_test_post_form11_OBJECTS = test_post_form.$(OBJEXT)
    143 test_post_form11_OBJECTS = $(am_test_post_form11_OBJECTS)
    144 test_post_form11_DEPENDENCIES =  \
    145 	$(top_builddir)/src/microhttpd/libmicrohttpd.la
    146 am_test_put_OBJECTS = test_put.$(OBJEXT)
    147 test_put_OBJECTS = $(am_test_put_OBJECTS)
    148 test_put_DEPENDENCIES =  \
    149 	$(top_builddir)/src/microhttpd/libmicrohttpd.la
    150 am_test_put11_OBJECTS = test_put.$(OBJEXT)
    151 test_put11_OBJECTS = $(am_test_put11_OBJECTS)
    152 test_put11_DEPENDENCIES =  \
    153 	$(top_builddir)/src/microhttpd/libmicrohttpd.la
    154 am_test_put_chunked_OBJECTS = test_put_chunked.$(OBJEXT)
    155 test_put_chunked_OBJECTS = $(am_test_put_chunked_OBJECTS)
    156 test_put_chunked_DEPENDENCIES =  \
    157 	$(top_builddir)/src/microhttpd/libmicrohttpd.la
    158 am_test_put_large_OBJECTS = test_put_large.$(OBJEXT)
    159 test_put_large_OBJECTS = $(am_test_put_large_OBJECTS)
    160 test_put_large_DEPENDENCIES =  \
    161 	$(top_builddir)/src/microhttpd/libmicrohttpd.la
    162 am_test_put_large11_OBJECTS = test_put_large.$(OBJEXT)
    163 test_put_large11_OBJECTS = $(am_test_put_large11_OBJECTS)
    164 test_put_large11_DEPENDENCIES =  \
    165 	$(top_builddir)/src/microhttpd/libmicrohttpd.la
    166 AM_V_P = $(am__v_P_@AM_V@)
    167 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
    168 am__v_P_0 = false
    169 am__v_P_1 = :
    170 AM_V_GEN = $(am__v_GEN_@AM_V@)
    171 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
    172 am__v_GEN_0 = @echo "  GEN     " $@;
    173 am__v_GEN_1 = 
    174 AM_V_at = $(am__v_at_@AM_V@)
    175 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
    176 am__v_at_0 = @
    177 am__v_at_1 = 
    178 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
    179 depcomp = $(SHELL) $(top_srcdir)/depcomp
    180 am__depfiles_maybe = depfiles
    181 am__mv = mv -f
    182 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
    183 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
    184 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
    185 	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
    186 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
    187 	$(AM_CFLAGS) $(CFLAGS)
    188 AM_V_CC = $(am__v_CC_@AM_V@)
    189 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
    190 am__v_CC_0 = @echo "  CC      " $@;
    191 am__v_CC_1 = 
    192 CCLD = $(CC)
    193 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
    194 	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
    195 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
    196 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
    197 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
    198 am__v_CCLD_0 = @echo "  CCLD    " $@;
    199 am__v_CCLD_1 = 
    200 SOURCES = $(test_get_SOURCES) $(test_get11_SOURCES) \
    201 	$(test_get_chunked_SOURCES) $(test_long_header_SOURCES) \
    202 	$(test_post_SOURCES) $(test_post11_SOURCES) \
    203 	$(test_post_form_SOURCES) $(test_post_form11_SOURCES) \
    204 	$(test_put_SOURCES) $(test_put11_SOURCES) \
    205 	$(test_put_chunked_SOURCES) $(test_put_large_SOURCES) \
    206 	$(test_put_large11_SOURCES)
    207 DIST_SOURCES = $(test_get_SOURCES) $(test_get11_SOURCES) \
    208 	$(test_get_chunked_SOURCES) $(test_long_header_SOURCES) \
    209 	$(test_post_SOURCES) $(test_post11_SOURCES) \
    210 	$(test_post_form_SOURCES) $(test_post_form11_SOURCES) \
    211 	$(test_put_SOURCES) $(test_put11_SOURCES) \
    212 	$(test_put_chunked_SOURCES) $(test_put_large_SOURCES) \
    213 	$(test_put_large11_SOURCES)
    214 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
    215 	ctags-recursive dvi-recursive html-recursive info-recursive \
    216 	install-data-recursive install-dvi-recursive \
    217 	install-exec-recursive install-html-recursive \
    218 	install-info-recursive install-pdf-recursive \
    219 	install-ps-recursive install-recursive installcheck-recursive \
    220 	installdirs-recursive pdf-recursive ps-recursive \
    221 	tags-recursive uninstall-recursive
    222 am__can_run_installinfo = \
    223   case $$AM_UPDATE_INFO_DIR in \
    224     n|no|NO) false;; \
    225     *) (install-info --version) >/dev/null 2>&1;; \
    226   esac
    227 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
    228   distclean-recursive maintainer-clean-recursive
    229 am__recursive_targets = \
    230   $(RECURSIVE_TARGETS) \
    231   $(RECURSIVE_CLEAN_TARGETS) \
    232   $(am__extra_recursive_targets)
    233 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
    234 	check recheck distdir
    235 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
    236 # Read a list of newline-separated strings from the standard input,
    237 # and print each of them once, without duplicates.  Input order is
    238 # *not* preserved.
    239 am__uniquify_input = $(AWK) '\
    240   BEGIN { nonempty = 0; } \
    241   { items[$$0] = 1; nonempty = 1; } \
    242   END { if (nonempty) { for (i in items) print i; }; } \
    243 '
    244 # Make sure the list of sources is unique.  This is necessary because,
    245 # e.g., the same source file might be shared among _SOURCES variables
    246 # for different programs/libraries.
    247 am__define_uniq_tagged_files = \
    248   list='$(am__tagged_files)'; \
    249   unique=`for i in $$list; do \
    250     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    251   done | $(am__uniquify_input)`
    252 ETAGS = etags
    253 CTAGS = ctags
    254 am__tty_colors_dummy = \
    255   mgn= red= grn= lgn= blu= brg= std=; \
    256   am__color_tests=no
    257 am__tty_colors = { \
    258   $(am__tty_colors_dummy); \
    259   if test "X$(AM_COLOR_TESTS)" = Xno; then \
    260     am__color_tests=no; \
    261   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
    262     am__color_tests=yes; \
    263   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
    264     am__color_tests=yes; \
    265   fi; \
    266   if test $$am__color_tests = yes; then \
    267     red='[0;31m'; \
    268     grn='[0;32m'; \
    269     lgn='[1;32m'; \
    270     blu='[1;34m'; \
    271     mgn='[0;35m'; \
    272     brg='[1m'; \
    273     std='[m'; \
    274   fi; \
    275 }
    276 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
    277 am__vpath_adj = case $$p in \
    278     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    279     *) f=$$p;; \
    280   esac;
    281 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
    282 am__install_max = 40
    283 am__nobase_strip_setup = \
    284   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
    285 am__nobase_strip = \
    286   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
    287 am__nobase_list = $(am__nobase_strip_setup); \
    288   for p in $$list; do echo "$$p $$p"; done | \
    289   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
    290   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    291     if (++n[$$2] == $(am__install_max)) \
    292       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    293     END { for (dir in files) print dir, files[dir] }'
    294 am__base_list = \
    295   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
    296   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
    297 am__uninstall_files_from_dir = { \
    298   test -z "$$files" \
    299     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    300     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
    301          $(am__cd) "$$dir" && rm -f $$files; }; \
    302   }
    303 am__recheck_rx = ^[ 	]*:recheck:[ 	]*
    304 am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
    305 am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
    306 # A command that, given a newline-separated list of test names on the
    307 # standard input, print the name of the tests that are to be re-run
    308 # upon "make recheck".
    309 am__list_recheck_tests = $(AWK) '{ \
    310   recheck = 1; \
    311   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    312     { \
    313       if (rc < 0) \
    314         { \
    315           if ((getline line2 < ($$0 ".log")) < 0) \
    316 	    recheck = 0; \
    317           break; \
    318         } \
    319       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
    320         { \
    321           recheck = 0; \
    322           break; \
    323         } \
    324       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
    325         { \
    326           break; \
    327         } \
    328     }; \
    329   if (recheck) \
    330     print $$0; \
    331   close ($$0 ".trs"); \
    332   close ($$0 ".log"); \
    333 }'
    334 # A command that, given a newline-separated list of test names on the
    335 # standard input, create the global log from their .trs and .log files.
    336 am__create_global_log = $(AWK) ' \
    337 function fatal(msg) \
    338 { \
    339   print "fatal: making $@: " msg | "cat >&2"; \
    340   exit 1; \
    341 } \
    342 function rst_section(header) \
    343 { \
    344   print header; \
    345   len = length(header); \
    346   for (i = 1; i <= len; i = i + 1) \
    347     printf "="; \
    348   printf "\n\n"; \
    349 } \
    350 { \
    351   copy_in_global_log = 1; \
    352   global_test_result = "RUN"; \
    353   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    354     { \
    355       if (rc < 0) \
    356          fatal("failed to read from " $$0 ".trs"); \
    357       if (line ~ /$(am__global_test_result_rx)/) \
    358         { \
    359           sub("$(am__global_test_result_rx)", "", line); \
    360           sub("[ 	]*$$", "", line); \
    361           global_test_result = line; \
    362         } \
    363       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
    364         copy_in_global_log = 0; \
    365     }; \
    366   if (copy_in_global_log) \
    367     { \
    368       rst_section(global_test_result ": " $$0); \
    369       while ((rc = (getline line < ($$0 ".log"))) != 0) \
    370       { \
    371         if (rc < 0) \
    372           fatal("failed to read from " $$0 ".log"); \
    373         print line; \
    374       }; \
    375       printf "\n"; \
    376     }; \
    377   close ($$0 ".trs"); \
    378   close ($$0 ".log"); \
    379 }'
    380 # Restructured Text title.
    381 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
    382 # Solaris 10 'make', and several other traditional 'make' implementations,
    383 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
    384 # by disabling -e (using the XSI extension "set +e") if it's set.
    385 am__sh_e_setup = case $$- in *e*) set +e;; esac
    386 # Default flags passed to test drivers.
    387 am__common_driver_flags = \
    388   --color-tests "$$am__color_tests" \
    389   --enable-hard-errors "$$am__enable_hard_errors" \
    390   --expect-failure "$$am__expect_failure"
    391 # To be inserted before the command running the test.  Creates the
    392 # directory for the log if needed.  Stores in $dir the directory
    393 # containing $f, in $tst the test, in $log the log.  Executes the
    394 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
    395 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
    396 # will run the test scripts (or their associated LOG_COMPILER, if
    397 # thy have one).
    398 am__check_pre = \
    399 $(am__sh_e_setup);					\
    400 $(am__vpath_adj_setup) $(am__vpath_adj)			\
    401 $(am__tty_colors);					\
    402 srcdir=$(srcdir); export srcdir;			\
    403 case "$@" in						\
    404   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
    405     *) am__odir=.;; 					\
    406 esac;							\
    407 test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
    408   || $(MKDIR_P) "$$am__odir" || exit $$?;		\
    409 if test -f "./$$f"; then dir=./;			\
    410 elif test -f "$$f"; then dir=;				\
    411 else dir="$(srcdir)/"; fi;				\
    412 tst=$$dir$$f; log='$@'; 				\
    413 if test -n '$(DISABLE_HARD_ERRORS)'; then		\
    414   am__enable_hard_errors=no; 				\
    415 else							\
    416   am__enable_hard_errors=yes; 				\
    417 fi; 							\
    418 case " $(XFAIL_TESTS) " in				\
    419   *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
    420     am__expect_failure=yes;;				\
    421   *)							\
    422     am__expect_failure=no;;				\
    423 esac; 							\
    424 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
    425 # A shell command to get the names of the tests scripts with any registered
    426 # extension removed (i.e., equivalently, the names of the test logs, with
    427 # the '.log' extension removed).  The result is saved in the shell variable
    428 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
    429 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
    430 # since that might cause problem with VPATH rewrites for suffix-less tests.
    431 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
    432 am__set_TESTS_bases = \
    433   bases='$(TEST_LOGS)'; \
    434   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
    435   bases=`echo $$bases`
    436 RECHECK_LOGS = $(TEST_LOGS)
    437 TEST_SUITE_LOG = test-suite.log
    438 TEST_EXTENSIONS = @EXEEXT@ .test
    439 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
    440 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
    441 am__set_b = \
    442   case '$@' in \
    443     */*) \
    444       case '$*' in \
    445         */*) b='$*';; \
    446           *) b=`echo '$@' | sed 's/\.log$$//'`; \
    447        esac;; \
    448     *) \
    449       b='$*';; \
    450   esac
    451 am__test_logs1 = $(TESTS:=.log)
    452 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
    453 TEST_LOGS = $(am__test_logs2:.test.log=.log)
    454 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
    455 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
    456 	$(TEST_LOG_FLAGS)
    457 DIST_SUBDIRS = $(SUBDIRS)
    458 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
    459 am__relativize = \
    460   dir0=`pwd`; \
    461   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
    462   sed_rest='s,^[^/]*/*,,'; \
    463   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
    464   sed_butlast='s,/*[^/]*$$,,'; \
    465   while test -n "$$dir1"; do \
    466     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    467     if test "$$first" != "."; then \
    468       if test "$$first" = ".."; then \
    469         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
    470         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
    471       else \
    472         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
    473         if test "$$first2" = "$$first"; then \
    474           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
    475         else \
    476           dir2="../$$dir2"; \
    477         fi; \
    478         dir0="$$dir0"/"$$first"; \
    479       fi; \
    480     fi; \
    481     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
    482   done; \
    483   reldir="$$dir2"
    484 ACLOCAL = @ACLOCAL@
    485 AMTAR = @AMTAR@
    486 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
    487 AR = @AR@
    488 AS = @AS@
    489 AUTOCONF = @AUTOCONF@
    490 AUTOHEADER = @AUTOHEADER@
    491 AUTOMAKE = @AUTOMAKE@
    492 AWK = @AWK@
    493 CC = @CC@
    494 CCDEPMODE = @CCDEPMODE@
    495 CFLAGS = @CFLAGS@
    496 CPP = @CPP@
    497 CPPFLAGS = @CPPFLAGS@
    498 CPU_COUNT = @CPU_COUNT@
    499 CYGPATH_W = @CYGPATH_W@
    500 DEFS = @DEFS@
    501 DEPDIR = @DEPDIR@
    502 DLLTOOL = @DLLTOOL@
    503 DSYMUTIL = @DSYMUTIL@
    504 DUMPBIN = @DUMPBIN@
    505 ECHO_C = @ECHO_C@
    506 ECHO_N = @ECHO_N@
    507 ECHO_T = @ECHO_T@
    508 EGREP = @EGREP@
    509 EXEEXT = @EXEEXT@
    510 FGREP = @FGREP@
    511 GNUTLS_CFLAGS = @GNUTLS_CFLAGS@
    512 GNUTLS_CPPFLAGS = @GNUTLS_CPPFLAGS@
    513 GNUTLS_LDFLAGS = @GNUTLS_LDFLAGS@
    514 GNUTLS_LIBS = @GNUTLS_LIBS@
    515 GREP = @GREP@
    516 HAVE_CURL_BINARY = @HAVE_CURL_BINARY@
    517 HAVE_MAKEINFO_BINARY = @HAVE_MAKEINFO_BINARY@
    518 HIDDEN_VISIBILITY_CFLAGS = @HIDDEN_VISIBILITY_CFLAGS@
    519 INSTALL = @INSTALL@
    520 INSTALL_DATA = @INSTALL_DATA@
    521 INSTALL_PROGRAM = @INSTALL_PROGRAM@
    522 INSTALL_SCRIPT = @INSTALL_SCRIPT@
    523 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
    524 LD = @LD@
    525 LDFLAGS = @LDFLAGS@
    526 LIBCURL = @LIBCURL@
    527 LIBCURL_CPPFLAGS = @LIBCURL_CPPFLAGS@
    528 LIBGCRYPT_CFLAGS = @LIBGCRYPT_CFLAGS@
    529 LIBGCRYPT_CONFIG = @LIBGCRYPT_CONFIG@
    530 LIBGCRYPT_LIBS = @LIBGCRYPT_LIBS@
    531 LIBOBJS = @LIBOBJS@
    532 LIBS = @LIBS@
    533 LIBSPDY_VERSION_AGE = @LIBSPDY_VERSION_AGE@
    534 LIBSPDY_VERSION_CURRENT = @LIBSPDY_VERSION_CURRENT@
    535 LIBSPDY_VERSION_REVISION = @LIBSPDY_VERSION_REVISION@
    536 LIBTOOL = @LIBTOOL@
    537 LIB_VERSION_AGE = @LIB_VERSION_AGE@
    538 LIB_VERSION_CURRENT = @LIB_VERSION_CURRENT@
    539 LIB_VERSION_REVISION = @LIB_VERSION_REVISION@
    540 LIPO = @LIPO@
    541 LN_S = @LN_S@
    542 LTLIBOBJS = @LTLIBOBJS@
    543 MAKEINFO = @MAKEINFO@
    544 MANIFEST_TOOL = @MANIFEST_TOOL@
    545 MHD_LIBDEPS = @MHD_LIBDEPS@
    546 MHD_LIBDEPS_PKGCFG = @MHD_LIBDEPS_PKGCFG@
    547 MHD_LIB_CFLAGS = @MHD_LIB_CFLAGS@
    548 MHD_LIB_CPPFLAGS = @MHD_LIB_CPPFLAGS@
    549 MHD_LIB_LDFLAGS = @MHD_LIB_LDFLAGS@
    550 MHD_REQ_PRIVATE = @MHD_REQ_PRIVATE@
    551 MKDIR_P = @MKDIR_P@
    552 MS_LIB_TOOL = @MS_LIB_TOOL@
    553 NM = @NM@
    554 NMEDIT = @NMEDIT@
    555 OBJDUMP = @OBJDUMP@
    556 OBJEXT = @OBJEXT@
    557 OPENSSL_INCLUDES = @OPENSSL_INCLUDES@
    558 OPENSSL_LDFLAGS = @OPENSSL_LDFLAGS@
    559 OPENSSL_LIBS = @OPENSSL_LIBS@
    560 OTOOL = @OTOOL@
    561 OTOOL64 = @OTOOL64@
    562 PACKAGE = @PACKAGE@
    563 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
    564 PACKAGE_NAME = @PACKAGE_NAME@
    565 PACKAGE_STRING = @PACKAGE_STRING@
    566 PACKAGE_TARNAME = @PACKAGE_TARNAME@
    567 PACKAGE_URL = @PACKAGE_URL@
    568 PACKAGE_VERSION = @PACKAGE_VERSION@
    569 PACKAGE_VERSION_MAJOR = @PACKAGE_VERSION_MAJOR@
    570 PACKAGE_VERSION_MINOR = @PACKAGE_VERSION_MINOR@
    571 PACKAGE_VERSION_SUBMINOR = @PACKAGE_VERSION_SUBMINOR@
    572 PATH_SEPARATOR = @PATH_SEPARATOR@
    573 PKG_CONFIG = @PKG_CONFIG@
    574 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
    575 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
    576 PTHREAD_CC = @PTHREAD_CC@
    577 PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
    578 PTHREAD_LIBS = @PTHREAD_LIBS@
    579 RANLIB = @RANLIB@
    580 RC = @RC@
    581 SED = @SED@
    582 SET_MAKE = @SET_MAKE@
    583 SHELL = @SHELL@
    584 SPDY_LIBDEPS = @SPDY_LIBDEPS@
    585 SPDY_LIB_CFLAGS = @SPDY_LIB_CFLAGS@
    586 SPDY_LIB_CPPFLAGS = @SPDY_LIB_CPPFLAGS@
    587 SPDY_LIB_LDFLAGS = @SPDY_LIB_LDFLAGS@
    588 STRIP = @STRIP@
    589 VERSION = @VERSION@
    590 _libcurl_config = @_libcurl_config@
    591 abs_builddir = @abs_builddir@
    592 abs_srcdir = @abs_srcdir@
    593 abs_top_builddir = @abs_top_builddir@
    594 abs_top_srcdir = @abs_top_srcdir@
    595 ac_ct_AR = @ac_ct_AR@
    596 ac_ct_CC = @ac_ct_CC@
    597 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
    598 am__include = @am__include@
    599 am__leading_dot = @am__leading_dot@
    600 am__quote = @am__quote@
    601 am__tar = @am__tar@
    602 am__untar = @am__untar@
    603 ax_pthread_config = @ax_pthread_config@
    604 bindir = @bindir@
    605 build = @build@
    606 build_alias = @build_alias@
    607 build_cpu = @build_cpu@
    608 build_os = @build_os@
    609 build_vendor = @build_vendor@
    610 builddir = @builddir@
    611 datadir = @datadir@
    612 datarootdir = @datarootdir@
    613 docdir = @docdir@
    614 dvidir = @dvidir@
    615 exec_prefix = @exec_prefix@
    616 have_socat = @have_socat@
    617 have_zzuf = @have_zzuf@
    618 host = @host@
    619 host_alias = @host_alias@
    620 host_cpu = @host_cpu@
    621 host_os = @host_os@
    622 host_vendor = @host_vendor@
    623 htmldir = @htmldir@
    624 includedir = @includedir@
    625 infodir = @infodir@
    626 install_sh = @install_sh@
    627 libdir = @libdir@
    628 libexecdir = @libexecdir@
    629 localedir = @localedir@
    630 localstatedir = @localstatedir@
    631 lt_cv_objdir = @lt_cv_objdir@
    632 mandir = @mandir@
    633 mkdir_p = @mkdir_p@
    634 oldincludedir = @oldincludedir@
    635 pdfdir = @pdfdir@
    636 prefix = @prefix@
    637 program_transform_name = @program_transform_name@
    638 psdir = @psdir@
    639 sbindir = @sbindir@
    640 sharedstatedir = @sharedstatedir@
    641 srcdir = @srcdir@
    642 sysconfdir = @sysconfdir@
    643 target_alias = @target_alias@
    644 top_build_prefix = @top_build_prefix@
    645 top_builddir = @top_builddir@
    646 top_srcdir = @top_srcdir@
    647 
    648 # This Makefile.am is in the public domain
    649 SUBDIRS = .
    650 @USE_COVERAGE_TRUE@AM_CFLAGS = -fprofile-arcs -ftest-coverage
    651 AM_CPPFLAGS = -I$(top_srcdir)/src/include \
    652   $(LIBCURL_CPPFLAGS)
    653 
    654 EXTRA_DIST = README socat.c
    655 TESTS = $(check_PROGRAMS)
    656 test_get_SOURCES = \
    657   test_get.c
    658 
    659 test_get_LDADD = \
    660   $(top_builddir)/src/microhttpd/libmicrohttpd.la \
    661   @LIBCURL@ 
    662 
    663 test_get_chunked_SOURCES = \
    664   test_get_chunked.c
    665 
    666 test_get_chunked_LDADD = \
    667   $(top_builddir)/src/microhttpd/libmicrohttpd.la \
    668   @LIBCURL@ 
    669 
    670 test_post_SOURCES = \
    671   test_post.c
    672 
    673 test_post_LDADD = \
    674   $(top_builddir)/src/microhttpd/libmicrohttpd.la \
    675   @LIBCURL@ 
    676 
    677 test_post_form_SOURCES = \
    678   test_post_form.c
    679 
    680 test_post_form_LDADD = \
    681   $(top_builddir)/src/microhttpd/libmicrohttpd.la \
    682   @LIBCURL@ 
    683 
    684 test_put_SOURCES = \
    685   test_put.c
    686 
    687 test_put_LDADD = \
    688   $(top_builddir)/src/microhttpd/libmicrohttpd.la \
    689   @LIBCURL@ 
    690 
    691 test_put_chunked_SOURCES = \
    692   test_put_chunked.c
    693 
    694 test_put_chunked_LDADD = \
    695   $(top_builddir)/src/microhttpd/libmicrohttpd.la \
    696   @LIBCURL@ 
    697 
    698 test_put_large_SOURCES = \
    699   test_put_large.c
    700 
    701 test_put_large_LDADD = \
    702   $(top_builddir)/src/microhttpd/libmicrohttpd.la \
    703   @LIBCURL@ 
    704 
    705 test_get11_SOURCES = \
    706   test_get.c
    707 
    708 test_get11_LDADD = \
    709   $(top_builddir)/src/microhttpd/libmicrohttpd.la \
    710   @LIBCURL@ 
    711 
    712 test_post11_SOURCES = \
    713   test_post.c
    714 
    715 test_post11_LDADD = \
    716   $(top_builddir)/src/microhttpd/libmicrohttpd.la \
    717   @LIBCURL@ 
    718 
    719 test_post_form11_SOURCES = \
    720   test_post_form.c
    721 
    722 test_post_form11_LDADD = \
    723   $(top_builddir)/src/microhttpd/libmicrohttpd.la \
    724   @LIBCURL@ 
    725 
    726 test_put11_SOURCES = \
    727   test_put.c
    728 
    729 test_put11_LDADD = \
    730   $(top_builddir)/src/microhttpd/libmicrohttpd.la \
    731   @LIBCURL@ 
    732 
    733 test_put_large11_SOURCES = \
    734   test_put_large.c
    735 
    736 test_put_large11_LDADD = \
    737   $(top_builddir)/src/microhttpd/libmicrohttpd.la \
    738   @LIBCURL@ 
    739 
    740 test_long_header_SOURCES = \
    741   test_long_header.c
    742 
    743 test_long_header_LDADD = \
    744   $(top_builddir)/src/microhttpd/libmicrohttpd.la \
    745   @LIBCURL@ 
    746 
    747 all: all-recursive
    748 
    749 .SUFFIXES:
    750 .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
    751 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
    752 	@for dep in $?; do \
    753 	  case '$(am__configure_deps)' in \
    754 	    *$$dep*) \
    755 	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
    756 	        && { if test -f $@; then exit 0; else break; fi; }; \
    757 	      exit 1;; \
    758 	  esac; \
    759 	done; \
    760 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/testzzuf/Makefile'; \
    761 	$(am__cd) $(top_srcdir) && \
    762 	  $(AUTOMAKE) --gnu src/testzzuf/Makefile
    763 .PRECIOUS: Makefile
    764 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
    765 	@case '$?' in \
    766 	  *config.status*) \
    767 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
    768 	  *) \
    769 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
    770 	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
    771 	esac;
    772 
    773 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
    774 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
    775 
    776 $(top_srcdir)/configure:  $(am__configure_deps)
    777 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
    778 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
    779 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
    780 $(am__aclocal_m4_deps):
    781 
    782 clean-checkPROGRAMS:
    783 	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
    784 	echo " rm -f" $$list; \
    785 	rm -f $$list || exit $$?; \
    786 	test -n "$(EXEEXT)" || exit 0; \
    787 	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
    788 	echo " rm -f" $$list; \
    789 	rm -f $$list
    790 
    791 test_get$(EXEEXT): $(test_get_OBJECTS) $(test_get_DEPENDENCIES) $(EXTRA_test_get_DEPENDENCIES) 
    792 	@rm -f test_get$(EXEEXT)
    793 	$(AM_V_CCLD)$(LINK) $(test_get_OBJECTS) $(test_get_LDADD) $(LIBS)
    794 
    795 test_get11$(EXEEXT): $(test_get11_OBJECTS) $(test_get11_DEPENDENCIES) $(EXTRA_test_get11_DEPENDENCIES) 
    796 	@rm -f test_get11$(EXEEXT)
    797 	$(AM_V_CCLD)$(LINK) $(test_get11_OBJECTS) $(test_get11_LDADD) $(LIBS)
    798 
    799 test_get_chunked$(EXEEXT): $(test_get_chunked_OBJECTS) $(test_get_chunked_DEPENDENCIES) $(EXTRA_test_get_chunked_DEPENDENCIES) 
    800 	@rm -f test_get_chunked$(EXEEXT)
    801 	$(AM_V_CCLD)$(LINK) $(test_get_chunked_OBJECTS) $(test_get_chunked_LDADD) $(LIBS)
    802 
    803 test_long_header$(EXEEXT): $(test_long_header_OBJECTS) $(test_long_header_DEPENDENCIES) $(EXTRA_test_long_header_DEPENDENCIES) 
    804 	@rm -f test_long_header$(EXEEXT)
    805 	$(AM_V_CCLD)$(LINK) $(test_long_header_OBJECTS) $(test_long_header_LDADD) $(LIBS)
    806 
    807 test_post$(EXEEXT): $(test_post_OBJECTS) $(test_post_DEPENDENCIES) $(EXTRA_test_post_DEPENDENCIES) 
    808 	@rm -f test_post$(EXEEXT)
    809 	$(AM_V_CCLD)$(LINK) $(test_post_OBJECTS) $(test_post_LDADD) $(LIBS)
    810 
    811 test_post11$(EXEEXT): $(test_post11_OBJECTS) $(test_post11_DEPENDENCIES) $(EXTRA_test_post11_DEPENDENCIES) 
    812 	@rm -f test_post11$(EXEEXT)
    813 	$(AM_V_CCLD)$(LINK) $(test_post11_OBJECTS) $(test_post11_LDADD) $(LIBS)
    814 
    815 test_post_form$(EXEEXT): $(test_post_form_OBJECTS) $(test_post_form_DEPENDENCIES) $(EXTRA_test_post_form_DEPENDENCIES) 
    816 	@rm -f test_post_form$(EXEEXT)
    817 	$(AM_V_CCLD)$(LINK) $(test_post_form_OBJECTS) $(test_post_form_LDADD) $(LIBS)
    818 
    819 test_post_form11$(EXEEXT): $(test_post_form11_OBJECTS) $(test_post_form11_DEPENDENCIES) $(EXTRA_test_post_form11_DEPENDENCIES) 
    820 	@rm -f test_post_form11$(EXEEXT)
    821 	$(AM_V_CCLD)$(LINK) $(test_post_form11_OBJECTS) $(test_post_form11_LDADD) $(LIBS)
    822 
    823 test_put$(EXEEXT): $(test_put_OBJECTS) $(test_put_DEPENDENCIES) $(EXTRA_test_put_DEPENDENCIES) 
    824 	@rm -f test_put$(EXEEXT)
    825 	$(AM_V_CCLD)$(LINK) $(test_put_OBJECTS) $(test_put_LDADD) $(LIBS)
    826 
    827 test_put11$(EXEEXT): $(test_put11_OBJECTS) $(test_put11_DEPENDENCIES) $(EXTRA_test_put11_DEPENDENCIES) 
    828 	@rm -f test_put11$(EXEEXT)
    829 	$(AM_V_CCLD)$(LINK) $(test_put11_OBJECTS) $(test_put11_LDADD) $(LIBS)
    830 
    831 test_put_chunked$(EXEEXT): $(test_put_chunked_OBJECTS) $(test_put_chunked_DEPENDENCIES) $(EXTRA_test_put_chunked_DEPENDENCIES) 
    832 	@rm -f test_put_chunked$(EXEEXT)
    833 	$(AM_V_CCLD)$(LINK) $(test_put_chunked_OBJECTS) $(test_put_chunked_LDADD) $(LIBS)
    834 
    835 test_put_large$(EXEEXT): $(test_put_large_OBJECTS) $(test_put_large_DEPENDENCIES) $(EXTRA_test_put_large_DEPENDENCIES) 
    836 	@rm -f test_put_large$(EXEEXT)
    837 	$(AM_V_CCLD)$(LINK) $(test_put_large_OBJECTS) $(test_put_large_LDADD) $(LIBS)
    838 
    839 test_put_large11$(EXEEXT): $(test_put_large11_OBJECTS) $(test_put_large11_DEPENDENCIES) $(EXTRA_test_put_large11_DEPENDENCIES) 
    840 	@rm -f test_put_large11$(EXEEXT)
    841 	$(AM_V_CCLD)$(LINK) $(test_put_large11_OBJECTS) $(test_put_large11_LDADD) $(LIBS)
    842 
    843 mostlyclean-compile:
    844 	-rm -f *.$(OBJEXT)
    845 
    846 distclean-compile:
    847 	-rm -f *.tab.c
    848 
    849 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_get.Po@am__quote@
    850 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_get_chunked.Po@am__quote@
    851 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_long_header.Po@am__quote@
    852 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_post.Po@am__quote@
    853 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_post_form.Po@am__quote@
    854 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_put.Po@am__quote@
    855 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_put_chunked.Po@am__quote@
    856 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_put_large.Po@am__quote@
    857 
    858 .c.o:
    859 @am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
    860 @am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
    861 @am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
    862 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
    863 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    864 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
    865 
    866 .c.obj:
    867 @am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
    868 @am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
    869 @am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
    870 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
    871 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    872 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
    873 
    874 .c.lo:
    875 @am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
    876 @am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
    877 @am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
    878 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
    879 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    880 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
    881 
    882 mostlyclean-libtool:
    883 	-rm -f *.lo
    884 
    885 clean-libtool:
    886 	-rm -rf .libs _libs
    887 
    888 # This directory's subdirectories are mostly independent; you can cd
    889 # into them and run 'make' without going through this Makefile.
    890 # To change the values of 'make' variables: instead of editing Makefiles,
    891 # (1) if the variable is set in 'config.status', edit 'config.status'
    892 #     (which will cause the Makefiles to be regenerated when you run 'make');
    893 # (2) otherwise, pass the desired values on the 'make' command line.
    894 $(am__recursive_targets):
    895 	@fail=; \
    896 	if $(am__make_keepgoing); then \
    897 	  failcom='fail=yes'; \
    898 	else \
    899 	  failcom='exit 1'; \
    900 	fi; \
    901 	dot_seen=no; \
    902 	target=`echo $@ | sed s/-recursive//`; \
    903 	case "$@" in \
    904 	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
    905 	  *) list='$(SUBDIRS)' ;; \
    906 	esac; \
    907 	for subdir in $$list; do \
    908 	  echo "Making $$target in $$subdir"; \
    909 	  if test "$$subdir" = "."; then \
    910 	    dot_seen=yes; \
    911 	    local_target="$$target-am"; \
    912 	  else \
    913 	    local_target="$$target"; \
    914 	  fi; \
    915 	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
    916 	  || eval $$failcom; \
    917 	done; \
    918 	if test "$$dot_seen" = "no"; then \
    919 	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
    920 	fi; test -z "$$fail"
    921 
    922 ID: $(am__tagged_files)
    923 	$(am__define_uniq_tagged_files); mkid -fID $$unique
    924 tags: tags-recursive
    925 TAGS: tags
    926 
    927 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
    928 	set x; \
    929 	here=`pwd`; \
    930 	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
    931 	  include_option=--etags-include; \
    932 	  empty_fix=.; \
    933 	else \
    934 	  include_option=--include; \
    935 	  empty_fix=; \
    936 	fi; \
    937 	list='$(SUBDIRS)'; for subdir in $$list; do \
    938 	  if test "$$subdir" = .; then :; else \
    939 	    test ! -f $$subdir/TAGS || \
    940 	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
    941 	  fi; \
    942 	done; \
    943 	$(am__define_uniq_tagged_files); \
    944 	shift; \
    945 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
    946 	  test -n "$$unique" || unique=$$empty_fix; \
    947 	  if test $$# -gt 0; then \
    948 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
    949 	      "$$@" $$unique; \
    950 	  else \
    951 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
    952 	      $$unique; \
    953 	  fi; \
    954 	fi
    955 ctags: ctags-recursive
    956 
    957 CTAGS: ctags
    958 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
    959 	$(am__define_uniq_tagged_files); \
    960 	test -z "$(CTAGS_ARGS)$$unique" \
    961 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
    962 	     $$unique
    963 
    964 GTAGS:
    965 	here=`$(am__cd) $(top_builddir) && pwd` \
    966 	  && $(am__cd) $(top_srcdir) \
    967 	  && gtags -i $(GTAGS_ARGS) "$$here"
    968 cscopelist: cscopelist-recursive
    969 
    970 cscopelist-am: $(am__tagged_files)
    971 	list='$(am__tagged_files)'; \
    972 	case "$(srcdir)" in \
    973 	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
    974 	  *) sdir=$(subdir)/$(srcdir) ;; \
    975 	esac; \
    976 	for i in $$list; do \
    977 	  if test -f "$$i"; then \
    978 	    echo "$(subdir)/$$i"; \
    979 	  else \
    980 	    echo "$$sdir/$$i"; \
    981 	  fi; \
    982 	done >> $(top_builddir)/cscope.files
    983 
    984 distclean-tags:
    985 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
    986 
    987 # Recover from deleted '.trs' file; this should ensure that
    988 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
    989 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
    990 # to avoid problems with "make -n".
    991 .log.trs:
    992 	rm -f $< $@
    993 	$(MAKE) $(AM_MAKEFLAGS) $<
    994 
    995 # Leading 'am--fnord' is there to ensure the list of targets does not
    996 # expand to empty, as could happen e.g. with make check TESTS=''.
    997 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
    998 am--force-recheck:
    999 	@:
   1000 
   1001 $(TEST_SUITE_LOG): $(TEST_LOGS)
   1002 	@$(am__set_TESTS_bases); \
   1003 	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
   1004 	redo_bases=`for i in $$bases; do \
   1005 	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
   1006 	            done`; \
   1007 	if test -n "$$redo_bases"; then \
   1008 	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
   1009 	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
   1010 	  if $(am__make_dryrun); then :; else \
   1011 	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
   1012 	  fi; \
   1013 	fi; \
   1014 	if test -n "$$am__remaking_logs"; then \
   1015 	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
   1016 	       "recursion detected" >&2; \
   1017 	else \
   1018 	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
   1019 	fi; \
   1020 	if $(am__make_dryrun); then :; else \
   1021 	  st=0;  \
   1022 	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
   1023 	  for i in $$redo_bases; do \
   1024 	    test -f $$i.trs && test -r $$i.trs \
   1025 	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
   1026 	    test -f $$i.log && test -r $$i.log \
   1027 	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
   1028 	  done; \
   1029 	  test $$st -eq 0 || exit 1; \
   1030 	fi
   1031 	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
   1032 	ws='[ 	]'; \
   1033 	results=`for b in $$bases; do echo $$b.trs; done`; \
   1034 	test -n "$$results" || results=/dev/null; \
   1035 	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
   1036 	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
   1037 	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
   1038 	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
   1039 	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
   1040 	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
   1041 	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
   1042 	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
   1043 	  success=true; \
   1044 	else \
   1045 	  success=false; \
   1046 	fi; \
   1047 	br='==================='; br=$$br$$br$$br$$br; \
   1048 	result_count () \
   1049 	{ \
   1050 	    if test x"$$1" = x"--maybe-color"; then \
   1051 	      maybe_colorize=yes; \
   1052 	    elif test x"$$1" = x"--no-color"; then \
   1053 	      maybe_colorize=no; \
   1054 	    else \
   1055 	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
   1056 	    fi; \
   1057 	    shift; \
   1058 	    desc=$$1 count=$$2; \
   1059 	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
   1060 	      color_start=$$3 color_end=$$std; \
   1061 	    else \
   1062 	      color_start= color_end=; \
   1063 	    fi; \
   1064 	    echo "$${color_start}# $$desc $$count$${color_end}"; \
   1065 	}; \
   1066 	create_testsuite_report () \
   1067 	{ \
   1068 	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
   1069 	  result_count $$1 "PASS: " $$pass  "$$grn"; \
   1070 	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
   1071 	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
   1072 	  result_count $$1 "FAIL: " $$fail  "$$red"; \
   1073 	  result_count $$1 "XPASS:" $$xpass "$$red"; \
   1074 	  result_count $$1 "ERROR:" $$error "$$mgn"; \
   1075 	}; \
   1076 	{								\
   1077 	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
   1078 	    $(am__rst_title);						\
   1079 	  create_testsuite_report --no-color;				\
   1080 	  echo;								\
   1081 	  echo ".. contents:: :depth: 2";				\
   1082 	  echo;								\
   1083 	  for b in $$bases; do echo $$b; done				\
   1084 	    | $(am__create_global_log);					\
   1085 	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
   1086 	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
   1087 	if $$success; then						\
   1088 	  col="$$grn";							\
   1089 	 else								\
   1090 	  col="$$red";							\
   1091 	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
   1092 	fi;								\
   1093 	echo "$${col}$$br$${std}"; 					\
   1094 	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
   1095 	echo "$${col}$$br$${std}"; 					\
   1096 	create_testsuite_report --maybe-color;				\
   1097 	echo "$$col$$br$$std";						\
   1098 	if $$success; then :; else					\
   1099 	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
   1100 	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
   1101 	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
   1102 	  fi;								\
   1103 	  echo "$$col$$br$$std";					\
   1104 	fi;								\
   1105 	$$success || exit 1
   1106 
   1107 check-TESTS:
   1108 	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
   1109 	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
   1110 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
   1111 	@set +e; $(am__set_TESTS_bases); \
   1112 	log_list=`for i in $$bases; do echo $$i.log; done`; \
   1113 	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
   1114 	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
   1115 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
   1116 	exit $$?;
   1117 recheck: all $(check_PROGRAMS)
   1118 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
   1119 	@set +e; $(am__set_TESTS_bases); \
   1120 	bases=`for i in $$bases; do echo $$i; done \
   1121 	         | $(am__list_recheck_tests)` || exit 1; \
   1122 	log_list=`for i in $$bases; do echo $$i.log; done`; \
   1123 	log_list=`echo $$log_list`; \
   1124 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
   1125 	        am__force_recheck=am--force-recheck \
   1126 	        TEST_LOGS="$$log_list"; \
   1127 	exit $$?
   1128 test_get.log: test_get$(EXEEXT)
   1129 	@p='test_get$(EXEEXT)'; \
   1130 	b='test_get'; \
   1131 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
   1132 	--log-file $$b.log --trs-file $$b.trs \
   1133 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
   1134 	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1135 test_get_chunked.log: test_get_chunked$(EXEEXT)
   1136 	@p='test_get_chunked$(EXEEXT)'; \
   1137 	b='test_get_chunked'; \
   1138 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
   1139 	--log-file $$b.log --trs-file $$b.trs \
   1140 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
   1141 	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1142 test_post.log: test_post$(EXEEXT)
   1143 	@p='test_post$(EXEEXT)'; \
   1144 	b='test_post'; \
   1145 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
   1146 	--log-file $$b.log --trs-file $$b.trs \
   1147 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
   1148 	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1149 test_post_form.log: test_post_form$(EXEEXT)
   1150 	@p='test_post_form$(EXEEXT)'; \
   1151 	b='test_post_form'; \
   1152 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
   1153 	--log-file $$b.log --trs-file $$b.trs \
   1154 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
   1155 	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1156 test_put.log: test_put$(EXEEXT)
   1157 	@p='test_put$(EXEEXT)'; \
   1158 	b='test_put'; \
   1159 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
   1160 	--log-file $$b.log --trs-file $$b.trs \
   1161 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
   1162 	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1163 test_put_chunked.log: test_put_chunked$(EXEEXT)
   1164 	@p='test_put_chunked$(EXEEXT)'; \
   1165 	b='test_put_chunked'; \
   1166 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
   1167 	--log-file $$b.log --trs-file $$b.trs \
   1168 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
   1169 	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1170 test_put_large.log: test_put_large$(EXEEXT)
   1171 	@p='test_put_large$(EXEEXT)'; \
   1172 	b='test_put_large'; \
   1173 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
   1174 	--log-file $$b.log --trs-file $$b.trs \
   1175 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
   1176 	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1177 test_get11.log: test_get11$(EXEEXT)
   1178 	@p='test_get11$(EXEEXT)'; \
   1179 	b='test_get11'; \
   1180 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
   1181 	--log-file $$b.log --trs-file $$b.trs \
   1182 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
   1183 	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1184 test_post11.log: test_post11$(EXEEXT)
   1185 	@p='test_post11$(EXEEXT)'; \
   1186 	b='test_post11'; \
   1187 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
   1188 	--log-file $$b.log --trs-file $$b.trs \
   1189 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
   1190 	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1191 test_post_form11.log: test_post_form11$(EXEEXT)
   1192 	@p='test_post_form11$(EXEEXT)'; \
   1193 	b='test_post_form11'; \
   1194 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
   1195 	--log-file $$b.log --trs-file $$b.trs \
   1196 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
   1197 	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1198 test_put11.log: test_put11$(EXEEXT)
   1199 	@p='test_put11$(EXEEXT)'; \
   1200 	b='test_put11'; \
   1201 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
   1202 	--log-file $$b.log --trs-file $$b.trs \
   1203 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
   1204 	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1205 test_put_large11.log: test_put_large11$(EXEEXT)
   1206 	@p='test_put_large11$(EXEEXT)'; \
   1207 	b='test_put_large11'; \
   1208 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
   1209 	--log-file $$b.log --trs-file $$b.trs \
   1210 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
   1211 	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1212 test_long_header.log: test_long_header$(EXEEXT)
   1213 	@p='test_long_header$(EXEEXT)'; \
   1214 	b='test_long_header'; \
   1215 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
   1216 	--log-file $$b.log --trs-file $$b.trs \
   1217 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
   1218 	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1219 .test.log:
   1220 	@p='$<'; \
   1221 	$(am__set_b); \
   1222 	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
   1223 	--log-file $$b.log --trs-file $$b.trs \
   1224 	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
   1225 	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1226 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
   1227 @am__EXEEXT_TRUE@	@p='$<'; \
   1228 @am__EXEEXT_TRUE@	$(am__set_b); \
   1229 @am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
   1230 @am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
   1231 @am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
   1232 @am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1233 
   1234 distdir: $(DISTFILES)
   1235 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
   1236 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
   1237 	list='$(DISTFILES)'; \
   1238 	  dist_files=`for file in $$list; do echo $$file; done | \
   1239 	  sed -e "s|^$$srcdirstrip/||;t" \
   1240 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
   1241 	case $$dist_files in \
   1242 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
   1243 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
   1244 			   sort -u` ;; \
   1245 	esac; \
   1246 	for file in $$dist_files; do \
   1247 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
   1248 	  if test -d $$d/$$file; then \
   1249 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
   1250 	    if test -d "$(distdir)/$$file"; then \
   1251 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
   1252 	    fi; \
   1253 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
   1254 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
   1255 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
   1256 	    fi; \
   1257 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
   1258 	  else \
   1259 	    test -f "$(distdir)/$$file" \
   1260 	    || cp -p $$d/$$file "$(distdir)/$$file" \
   1261 	    || exit 1; \
   1262 	  fi; \
   1263 	done
   1264 	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
   1265 	  if test "$$subdir" = .; then :; else \
   1266 	    $(am__make_dryrun) \
   1267 	      || test -d "$(distdir)/$$subdir" \
   1268 	      || $(MKDIR_P) "$(distdir)/$$subdir" \
   1269 	      || exit 1; \
   1270 	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
   1271 	    $(am__relativize); \
   1272 	    new_distdir=$$reldir; \
   1273 	    dir1=$$subdir; dir2="$(top_distdir)"; \
   1274 	    $(am__relativize); \
   1275 	    new_top_distdir=$$reldir; \
   1276 	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
   1277 	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
   1278 	    ($(am__cd) $$subdir && \
   1279 	      $(MAKE) $(AM_MAKEFLAGS) \
   1280 	        top_distdir="$$new_top_distdir" \
   1281 	        distdir="$$new_distdir" \
   1282 		am__remove_distdir=: \
   1283 		am__skip_length_check=: \
   1284 		am__skip_mode_fix=: \
   1285 	        distdir) \
   1286 	      || exit 1; \
   1287 	  fi; \
   1288 	done
   1289 check-am: all-am
   1290 	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
   1291 	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
   1292 check: check-recursive
   1293 all-am: Makefile
   1294 installdirs: installdirs-recursive
   1295 installdirs-am:
   1296 install: install-recursive
   1297 install-exec: install-exec-recursive
   1298 install-data: install-data-recursive
   1299 uninstall: uninstall-recursive
   1300 
   1301 install-am: all-am
   1302 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
   1303 
   1304 installcheck: installcheck-recursive
   1305 install-strip:
   1306 	if test -z '$(STRIP)'; then \
   1307 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
   1308 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
   1309 	      install; \
   1310 	else \
   1311 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
   1312 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
   1313 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
   1314 	fi
   1315 mostlyclean-generic:
   1316 	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
   1317 	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
   1318 	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
   1319 
   1320 clean-generic:
   1321 
   1322 distclean-generic:
   1323 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
   1324 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
   1325 
   1326 maintainer-clean-generic:
   1327 	@echo "This command is intended for maintainers to use"
   1328 	@echo "it deletes files that may require special tools to rebuild."
   1329 clean: clean-recursive
   1330 
   1331 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
   1332 	mostlyclean-am
   1333 
   1334 distclean: distclean-recursive
   1335 	-rm -rf ./$(DEPDIR)
   1336 	-rm -f Makefile
   1337 distclean-am: clean-am distclean-compile distclean-generic \
   1338 	distclean-tags
   1339 
   1340 dvi: dvi-recursive
   1341 
   1342 dvi-am:
   1343 
   1344 html: html-recursive
   1345 
   1346 html-am:
   1347 
   1348 info: info-recursive
   1349 
   1350 info-am:
   1351 
   1352 install-data-am:
   1353 
   1354 install-dvi: install-dvi-recursive
   1355 
   1356 install-dvi-am:
   1357 
   1358 install-exec-am:
   1359 
   1360 install-html: install-html-recursive
   1361 
   1362 install-html-am:
   1363 
   1364 install-info: install-info-recursive
   1365 
   1366 install-info-am:
   1367 
   1368 install-man:
   1369 
   1370 install-pdf: install-pdf-recursive
   1371 
   1372 install-pdf-am:
   1373 
   1374 install-ps: install-ps-recursive
   1375 
   1376 install-ps-am:
   1377 
   1378 installcheck-am:
   1379 
   1380 maintainer-clean: maintainer-clean-recursive
   1381 	-rm -rf ./$(DEPDIR)
   1382 	-rm -f Makefile
   1383 maintainer-clean-am: distclean-am maintainer-clean-generic
   1384 
   1385 mostlyclean: mostlyclean-recursive
   1386 
   1387 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
   1388 	mostlyclean-libtool
   1389 
   1390 pdf: pdf-recursive
   1391 
   1392 pdf-am:
   1393 
   1394 ps: ps-recursive
   1395 
   1396 ps-am:
   1397 
   1398 uninstall-am:
   1399 
   1400 .MAKE: $(am__recursive_targets) check-am install-am install-strip
   1401 
   1402 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
   1403 	check-TESTS check-am clean clean-checkPROGRAMS clean-generic \
   1404 	clean-libtool cscopelist-am ctags ctags-am distclean \
   1405 	distclean-compile distclean-generic distclean-libtool \
   1406 	distclean-tags distdir dvi dvi-am html html-am info info-am \
   1407 	install install-am install-data install-data-am install-dvi \
   1408 	install-dvi-am install-exec install-exec-am install-html \
   1409 	install-html-am install-info install-info-am install-man \
   1410 	install-pdf install-pdf-am install-ps install-ps-am \
   1411 	install-strip installcheck installcheck-am installdirs \
   1412 	installdirs-am maintainer-clean maintainer-clean-generic \
   1413 	mostlyclean mostlyclean-compile mostlyclean-generic \
   1414 	mostlyclean-libtool pdf pdf-am ps ps-am recheck tags tags-am \
   1415 	uninstall uninstall-am
   1416 
   1417 
   1418 # Tell versions [3.59,3.63) of GNU make to not export all variables.
   1419 # Otherwise a system limit (for SysV at least) may be exceeded.
   1420 .NOEXPORT:
   1421